color = [
	"background: linear-gradient(#a5d5f1,#0888d5);text-shadow:2px 2px 6px #0888d5;",
	"background: linear-gradient(#b9f6dd,#2a986b);text-shadow:2px 2px 6px #2a986b;",
	"background: linear-gradient(#d6f585,#71970b);text-shadow:2px 2px 6px #71970b;",
	"background: linear-gradient(#fbe29d,#dea913);text-shadow:2px 2px 6px #dea913;",
	"background: linear-gradient(#f0ecec,#c7c7c7);text-shadow:2px 2px 6px #c7c7c7;",
	"background: linear-gradient(#c7d9f5,#3e88fa);text-shadow:2px 2px 6px #3e88fa;",
	"background: linear-gradient(#c1e2f7,#61b8f1);text-shadow:2px 2px 6px #61b8f1;",
	"background: linear-gradient(#fe9ab6,#e5215a);text-shadow:2px 2px 6px #e5215a;",
	"background: linear-gradient(#c7f5de,#2bd780);text-shadow:2px 2px 6px #2bd780;",
	"background: linear-gradient(#eeeeee,#00FF00);text-shadow:2px 2px 6px #00FF00;",
	"background: linear-gradient(#f9c795,#FF7F00);text-shadow:2px 2px 6px #FF7F00;",
	"background: linear-gradient(#fbfb9d,#c6c605);text-shadow:2px 2px 6px #c6c605;",
	"background: linear-gradient(#fbcbcb,#FF0000);text-shadow:2px 2px 6px #FF0000;",
	"background: linear-gradient(#d5d5fa,#1f1ff5);text-shadow:2px 2px 6px #1f1ff5;",
	"background: linear-gradient(#fbe29d,#dea913);text-shadow:2px 2px 6px #dea913;",
	"background: linear-gradient(#a5d5f1,#0888d5);text-shadow:2px 2px 6px #0888d5;",
	"background: linear-gradient(#b9f6dd,#2a986b);text-shadow:2px 2px 6px #2a986b;",
	"background: linear-gradient(#d6f585,#71970b);text-shadow:2px 2px 6px #71970b;",
	"background: linear-gradient(#fbe29d,#dea913);text-shadow:2px 2px 6px #dea913;",
	"background: linear-gradient(#f0ecec,#c7c7c7);text-shadow:2px 2px 6px #c7c7c7;",
	"background: linear-gradient(#c7d9f5,#3e88fa);text-shadow:2px 2px 6px #3e88fa;",
	"background: linear-gradient(#c1e2f7,#61b8f1);text-shadow:2px 2px 6px #61b8f1;",
	"background: linear-gradient(#fe9ab6,#e5215a);text-shadow:2px 2px 6px #e5215a;",
	"background: linear-gradient(#c7f5de,#2bd780);text-shadow:2px 2px 6px #2bd780;",
	"background: linear-gradient(#eeeeee,#00FF00);text-shadow:2px 2px 6px #00FF00;",
	"background: linear-gradient(#f9c795,#FF7F00);text-shadow:2px 2px 6px #FF7F00;",
	"background: linear-gradient(#fbfb9d,#c6c605);text-shadow:2px 2px 6px #c6c605;",
	"background: linear-gradient(#fbcbcb,#FF0000);text-shadow:2px 2px 6px #FF0000;",
	"background: linear-gradient(#d5d5fa,#1f1ff5);text-shadow:2px 2px 6px #1f1ff5;",
	"background: linear-gradient(#fbe29d,#dea913);text-shadow:2px 2px 6px #dea913;",
];


/*历次考试的点击事件*/
function examEvent(obj){
	mui.openWindow({  
	    url: '../totalScore/examDemo.html',  
	});
}




var getOption = function(chartType) {
	var chartOption;
if(chartType=='radar'){//学科均衡性--雷达图
	chartOption={
	    tooltip : {
          trigger: 'axis',
	    },
	    /*color:['rgba(255, 145, 50, 1)','rgba(180, 244, 79, 1)'],*//*图例颜色*/
	   color:['#F68C32','#AEDE54'],/*图例颜色*/
	    legend: {
	         orient : 'vertical',
	         x : 'left',
	         y : 'center',
	         data:['学科均衡性(校)','学科均衡性(区)']
	    },
	    toolbox: {
	        show : false,
	        feature : {
	            mark : {show: false},
	            dataView : {show: false, readOnly: false},
	            restore : {show: false},
	            saveAsImage : {show: false}
	        }
	    },
	    polar : [
	       {
	       	name:{
               textStyle: {
                 color:'#000000' // 工艺等文字颜色
               }
             },
             splitArea : {
                show : true,   
                areaStyle : {
                    color: ["#F0F5F9","#FAFAFA"]  // 图表背景网格的颜色
                }
            },
             center:["70%","55%"],
	           indicator : [
	                { text: '语文', max: 150},
	               { text: '数学', max: 150},
	               { text: '英语', max: 150},
	               { text: '物理', max: 100},
	               { text: '化学', max: 100},
	               { text: '生物', max: 100}
	              
	            ],
	       },
	       	
	       
	    ],
	    calculable : false,
	    series : [
	        {
	            name: '',
	            type: 'radar',
	            /*symbol: "none", */// 去掉图表中各个图区域的边框线拐点
	            data : [
	                {
	                   value : [91.6, 82.2, 99.3, 29.1, 87.2, 74.5],
		               name : '学科均衡性(校)',
	                    itemStyle: {
                            normal: {
                                areaStyle: {
                                    type: 'default',
                                    opacity: 0.1, // 图表中各个图区域的透明度
                                    color: "rgba(255, 145, 50, 0.3)" // 图表中各个图区域的颜色
                                }
                            }
                        },
	                },
	                 {
	                    value : [90.2, 61.5, 93.2, 24.2, 62.5, 71.1],
		                name : '学科均衡性(区)',
	                    itemStyle: {
                            normal: {
                                areaStyle: {
                                    type: 'default',
                                    opacity: 0.1, // 图表中各个图区域的透明度
                                    color: "rgba(180, 244, 79, 0.3)" // 图表中各个图区域的颜色
                                }
                            }
                        },
	                }
	            ]
	        }
	    ]
	} 
	return chartOption;
}
	if(chartType=='pie'){//我的分数--饼状图
		chartOption={
			title: {
		        show:true,//显示策略，默认值true,可选为：true（显示） | false（隐藏）
	            text: '我的分数\n\n\n\n\n\n总分：750分',//主标题文本，'\n'指定换行
	            x:'center',//水平安放位置，默认为'left'，可选为：'center' | 'left' | 'right' | {number}（x坐标，单位px）
	            y: 'center',//垂直安放位置，默认为top，可选为：'top' | 'bottom' | 'center' | {number}（y坐标，单位px）
	            backgroundColor: 'rgba(0,0,0,0)',//标题背景颜色，默认'rgba(0,0,0,0)'透明
	            borderColor: '#ccc',//标题边框颜色,默认'#ccc'
	            borderWidth: 0,//标题边框线宽，单位px，默认为0（无边框）
	            padding: 5,//标题内边距，单位px，默认各方向内边距为5，接受数组分别设定上右下左边距
	            textStyle : {
		            color : '#ffffff',
		            fontSize : 14,
		        },
		    },
		    color:['rgba(255,255,255,1)','rgba(141,233,246,1)'],/*图例颜色*/
		    series: [
		        {
		            name:'访问来源',
		            type:'pie',
		            radius: ['80%', '85%'],
		            avoidLabelOverlap: true,
		            itemStyle: {/*引导线*/
		                normal : {
		                    label : {
		                        show: true,
			                    position: 'center',
			                    textStyle : {
			                            fontSize : '70',
			                            color:'#ffffff'
			                       },
			                    formatter:function(params) {
                        			return 414;
			                    },
			                },
		                    labelLine : {
		                        show : false,
		                    }
		                },
					  },
		            data:[
		                {value:'750'},
		                {value:'414'},
		            ]
		        }
		    ]
		};
		return chartOption;
	}
	if(chartType=='bar'){//总分分段统计-柱状图
		chartOption={
			legend: {
				data: ['班分段统计']
			},
			color:['#B4E04F'],
			grid: {
				x: 30,
				x2: 38,
				y: 40,
				y2: 75
			},
			tooltip: {
		    },
			toolbox: {
				show: false,
				feature: {
					mark: {
						show: true
					},
					dataView: {
						show: true,
						readOnly: false
					},
					magicType: {
						show: true,
						type: ['line', 'bar']
					},
					restore: {
						show: true
					},
					saveAsImage: {
						show: true
					}
				}
			},
			calculable: false,
			xAxis: [{
				type: 'category',
				name:'(分数)',
				data: ['[450~480)', '[420~450)', '[390~420)', '[360~390)', '[330~360)', '[300~330)', '[270~300)','[240~270)'
				],
				nameTextStyle: {/*横坐标名称样式*/
					color:'#48C6FF'
				},
				axisLine: {/*横坐标轴线*/
					show: true,
					lineStyle:{
						color:'#DCDCDC',
						width:'0.5'
					}
				},/*隐藏横坐标的线*/
				axisTick: {/*横坐标刻度线*/
					show: false,
				},
				splitArea : {// 图表背景网格的颜色
                    show : true,   
                    areaStyle : {
                       color: ["#F0F5F9",'#FAFAFA']  
                    }
                },
                splitLine : {// 图表背景网格线的颜色
                    show : false,
                },
				axisLabel:{  /*横坐标标签颜色*/
                    show:true,  
                    interval: 0,
                    color:'#ff0000',
                    rotate:90,
                    align:'left',
                },
			}],
			yAxis: [{
				type: 'value',
				axisLine: {show: false},/*隐藏横坐标的线*/
				name:'(人数)',
				nameTextStyle: {/*纵坐标名称样式*/
					color:'#48C6FF'
				},
				axisLine: {/*纵坐标坐标颜色*/
					show: true,
					lineStyle:{
						color:'#DCDCDC',
						width:'0.5'
					}
				},
                splitLine : {// 图表背景网格线的颜色
                    show : true,
                    lineStyle:{
						color:'#DCDCDC',
						width:'0.5'
					}
                },
				scale:true
			}],
			series: [{
				name: '班分段统计',
				type: 'bar',
				data: [
				1, 7, 9, 16, 11, 8, 4,1],
				markPoint: {
	                data: [
	                  {xAxis: 2, yAxis: 9,value:414},
	                ],
	                itemStyle:{
	                    normal:{
	                        color:'#FF9132',/*气泡颜色*/
	                    }
	                },
	          	},
			}]
			};
	return chartOption;
}
	if(chartType=='bar1'){//总分分段统计-柱状图
		chartOption={
			legend: {
				data: ['校分段统计']
			},
			color:['#C3E0FE'],
			grid: {
				x: 30,
				x2: 38,
				y: 40,
				y2: 75
			},
			tooltip: {
		    },
			toolbox: {
				show: false,
				feature: {
					mark: {
						show: true
					},
					dataView: {
						show: true,
						readOnly: false
					},
					magicType: {
						show: true,
						type: ['line', 'bar']
					},
					restore: {
						show: true
					},
					saveAsImage: {
						show: true
					}
				}
			},
			calculable: false,
			xAxis: [{
				type: 'category',
				name:'(分数)',
				data: ['[450~500)', '[400~450)', '[350~400)', '[300~350)', '[250~300)', '[200~250)', '[150~200)','[100~150)'
				],
				nameTextStyle: {/*横坐标名称样式*/
					color:'#48C6FF'
				},
				axisLine: {/*横坐标轴线*/
					show: true,
					lineStyle:{
						color:'#DCDCDC',
						width:'0.5'
					}
				},/*隐藏横坐标的线*/
				axisTick: {/*横坐标刻度线*/
					show: false,
				},
				splitArea : {// 图表背景网格的颜色
                    show : true,   
                    areaStyle : {
                       color: ["#F0F5F9",'#FAFAFA']  
                    }
                },
                splitLine : {// 图表背景网格线的颜色
                    show : false,
                },
				axisLabel:{  /*横坐标标签颜色*/
                    show:true,  
                    interval: 0,
                    color:'#ff0000',
                    rotate:90,
                    align:'left',
                },
			}],
			yAxis: [{
				type: 'value',
				axisLine: {show: false},/*隐藏横坐标的线*/
				name:'(人数)',
				nameTextStyle: {/*纵坐标名称样式*/
					color:'#48C6FF'
				},
				axisLine: {/*纵坐标坐标颜色*/
					show: true,
					lineStyle:{
						color:'#DCDCDC',
						width:'0.5'
					}
				},
                splitLine : {// 图表背景网格线的颜色
                    show : true,
                    lineStyle:{
						color:'#DCDCDC',
						width:'0.5'
					}
                },
				scale:true
			}],
			series: [{
				name: '校分段统计',
				type: 'bar',
				data: [14, 33, 82, 104, 95, 29, 5,2],
				markPoint: {
	                data: [
	                  {xAxis: 1, yAxis: 33,value:414},
	                ],
	                itemStyle:{
	                    normal:{
	                        color:'#FF9132',/*气泡颜色*/
	                    }
	                },
	          	},
			}]
			};
	return chartOption;
}
	if(chartType=='bar2'){//总分分段统计-柱状图
		chartOption={
			legend: {
				data: ['区分段统计']
			},
			color:['#FF9132'],
			grid: {
				x: 30,
				x2: 38,
				y: 40,
				y2: 75
			},
			tooltip: {
		    },
			toolbox: {
				show: false,
				feature: {
					mark: {
						show: true
					},
					dataView: {
						show: true,
						readOnly: false
					},
					magicType: {
						show: true,
						type: ['line', 'bar']
					},
					restore: {
						show: true
					},
					saveAsImage: {
						show: true
					}
				}
			},
			calculable: false,
			xAxis: [{
				type: 'category',
				name:'(分数)',
				data:['[650~700)', '[600~650)', '[550~600)', '[500~550)', '[450~500)', '[400~450)', '[350~400)',
				'[300~350)', '[250~300)', '[200~250)', '[150~200)','[100~150)','[50~100)', '[0~50)'],
				nameTextStyle: {/*横坐标名称样式*/
					color:'#48C6FF'
				},
				axisLine: {/*横坐标轴线*/
					show: true,
					lineStyle:{
						color:'#DCDCDC',
						width:'0.5'
					}
				},/*隐藏横坐标的线*/
				axisTick: {/*横坐标刻度线*/
					show: false,
				},
				splitArea : {// 图表背景网格的颜色
                    show : true,   
                    areaStyle : {
                       color: ["#F0F5F9",'#FAFAFA']  
                    }
                },
                splitLine : {// 图表背景网格线的颜色
                    show : false,
                },
				axisLabel:{  /*横坐标标签颜色*/
                    show:true,  
                    interval: 0,
                    color:'#ff0000',
                    rotate:90,
                    align:'left',
                },
			}],
			yAxis: [{
				type: 'value',
				axisLine: {show: false},/*隐藏横坐标的线*/
				name:'(人数)',
				nameTextStyle: {/*纵坐标名称样式*/
					color:'#48C6FF'
				},
				axisLine: {/*纵坐标坐标颜色*/
					show: true,
					lineStyle:{
						color:'#DCDCDC',
						width:'0.5'
					}
				},
                splitLine : {// 图表背景网格线的颜色
                    show : true,
                    lineStyle:{
						color:'#DCDCDC',
						width:'0.5'
					}
                },
				scale:true
			}],
			series: [{
				name: '区分段统计',
				type: 'bar',
				data: [1, 8, 68, 267, 651, 1112, 1610,1499,944,370,105,27,8,3],
				markPoint: {
	                data: [
	                  {xAxis: 5, yAxis: 1112,value:414},
	                ],
	                itemStyle:{
	                    normal:{
	                        color:'#FF9132',/*气泡颜色*/
	                    }
	                },
	          	},
			}]
			};
	return chartOption;
}
};
var byId = function(id) {
	return document.getElementById(id);
};
/*var pieChart = echarts.init(byId('pieChart'));//饼状图
pieChart.setOption(getOption('pie'));*/
/*function draw(){*/
	drawRing({
		parent: document.getElementById('header'),
		animated: true,
		width: 210,
		radius: 90,
	 	arc: 5,
		score:425,
		total:560,
		color: ['#ffffff','#70dbf7'],
		textColor: '#ffffff',
		textSize: '14px',
		after: function(){
			// console.timeEnd('ԃʱ');
		}
	});
/*}*/

	setTimeout(function(){
		var radarChart = echarts.init(byId('radarChart'));//雷达图
		radarChart.setOption(getOption('radar'));
		var lineChartTotalCLass = echarts.init(byId('lineChartTotalCLass'));//柱状图
		lineChartTotalCLass.setOption(getOption('bar'));
		var lineChartTotalGrade = echarts.init(byId('lineChartTotalGrade'));//柱状图
		lineChartTotalGrade.setOption(getOption('bar1'));
		var lineChartTotalArea = echarts.init(byId('lineChartTotalArea'));//柱状图
		lineChartTotalArea.setOption(getOption('bar2'));
					//小题
		getMixChart("mixChart",true,false);
	},2000);
	


			






		$("#lineChartTotalGrade").hide();
		$("#lineChartTotalCLass").next().hide();
		$("#lineChartTotalArea").hide();
		$("#lineChartTotalArea").next().hide();
		/*第四模块（总分分段统计）*/
$("#lineChartTotalCLass_a").on("tap", function() {
	$("#lineChartTotalCLass").show();
	$("#lineChartTotalCLass").next().show();
	$("#lineChartTotalGrade").hide();
	$("#lineChartTotalGrade").next().hide();
	$("#lineChartTotalArea").hide();
	$("#lineChartTotalArea").next().hide();
	scoreSectionClass(json_ScoreSectionRank, xAxisValue, seriesValue);
});
$("#lineChartTotalGrade_a").on("tap", function() {
	$("#lineChartTotalCLass").hide();
	$("#lineChartTotalCLass").next().hide();
	$("#lineChartTotalGrade").show();
	$("#lineChartTotalGrade").next().show();
	$("#lineChartTotalArea").hide();
	$("#lineChartTotalArea").next().hide();
	scoreSectionGrade(json_ScoreSectionRank, xAxisValue, seriesValue);
});
$("#lineChartTotalArea_a").on("tap", function() {
	$("#lineChartTotalCLass").hide();
	$("#lineChartTotalCLass").next().hide();
	$("#lineChartTotalGrade").hide();
	$("#lineChartTotalGrade").next().hide();
	$("#lineChartTotalArea").show();
	$("#lineChartTotalArea").next().show();
	scoreSectionArea(json_ScoreSectionRank, xAxisValue, seriesValue);
});

//柱-线混合
function getMixChart(divContent,boundaryType,scale){
	
    var legends = ['得分率','班均分率','校均分率','区均分率'];  
    var categories = ['T24', 'T23', 'T22', 'T21', 'T20', 'T19', 'T18', 'T17', 'T16', 'T15', 'T14', 'T13', 'T12', 'T11', 'T10', 'T9', 'T8', 'T7', 'T6', 'T5_2', 'T5_1', 'T4', 'T3', 'T2', 'T1'];
    var qType = ['主观题','主观题','主观题','主观题','主观题','主观题','主观题','主观题','主观题','主观题','主观题','主观题','主观题','主观题','主观题','主观题','客观题','客观题','客观题','客观题','客观题','客观题','客观题','客观题','客观题'];
    var fullScore = [60,6,4,2,6,2,8,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3];
        
    var option = {
    	    title: {
    	        text: '小题得分率对比'
    	    },
    	    tooltip:{       
                trigger: 'item',
                showDelay: 0,
                hideDelay: 50,
                transitionDuration:0,
                borderRadius : 10,
                borderWidth: 0,
                backgroundColor:'rgba(72, 198, 255, 0.7)',
                padding: 10,    
                position : function(p) {
	                // 位置回调
	                return [p[0] + 10, p[1] - 10];
                },
                formatter:function (params,ticket) {
		        	var res = "";
		        	var index = ticket.replace(/[^0-9]+/ig,"");
		        	var tuli = ticket.replace(/[0-9]+/ig,"");
	        		res = '题型： ' + qType[index]+'<br/>';
	            	res+='题号：' + params.name+'<br/>';
	            	res+='满分值：'+fullScore[index]+'<br/>';
	                res+=tuli+params.value+'%';
		            return res;
              }
    	    },
    	    legend:{
    	        data: legends,
    	        x:'center',
    	        y:'top',
    	        textStyle:{
    	        	fontSize:12,
    	        	color:'#7C7C7C'
    	  		},
    	        orient:'horizontal',
		        padding: [40, 5, 50, 5],
		        itemGap: 10,
    	    },
    	    toolbox:{
    	        show: false, //是否显示工具箱
    	        feature:{
    	            mark:{ 
    	            	show: true 
    	            },//辅助线
    	            dataView: { 
    	            	show: true, 
    	            	readOnly: false 
    	            },//数据视图
    	            magicType: { 
    	            	show: true, 
    	            	type: ['line', 'bar', 'stack', 'tiled'] 
    	            },//折线图切换，跟具体属性有关
    	            restore: { 
    	            	show: true 
    	            },//恢复
    	            saveAsImage:{ 
    	            	show: true,
    	            	title:"放大"
    	            }//保存图片
    	        }
    	    },
    	    calculable: false,	//容易搞错的属性，折线图、柱状图是否叠加
    	    grid:{
				x:'15%',
				y:'90',
				x2:'10%',
				y2:'50',
				backgroundColor:'rgba(0,0,0,0)',
				borderWidth:1
			},
    	    yAxis:[{
    	        type: 'category',
	            boundaryGap: boundaryType,//x，y轴绑定焦点
	            data: categories,
	            axisLabel: {
	            	rotate: 0,
	            	textStyle:{
	            		align:'center',
	            		color:'#7C7C7C'
	            	},
	            	margin:30
	            },
	            axisLine:{
    	    		show:true,
    	    		lineStyle:{
    	    			color: '#F4F5F7',
					    width: 1,
					    type: 'solid'
    	    		}
    	    	},
    	    	axisTick:{
	            	show:false
	            },
	            splitArea:{
	            	show:true,
	            	areaStyle:{
					    color: ['#F0F5F9','#FAFAFA']
					},
					onGap:true
	            }
    	    }],
    	    xAxis:[{
    	        type: 'value',
    	        min:0,
    	        max:100,
    	        splitNumber:5,
    	        axisLabel : {
	                formatter: '{value} %',
	                textStyle:{
	            		color:'#7C7C7C'
	            	}
	            },
    	        scale:scale, //自动设置y轴坐标最大最小值，取消0点
    	        position:'top',
    	        axisLine:{
    	    		show:true,
    	    		lineStyle:{
    	    			color: '#F4F5F7',
					    width: 1,
					    type: 'solid'
    	    		}
    	    	}
    	    }],
    	    series: [{
    	    	name:'得分率',
    	    	type:'bar',
    	    	barWidth:10,
    	    	itemStyle:{
    	    		normal:{
    	    			color:'#C4E0FF'
    	    		}
    	    	},
    	    	data:[68.33, 50.00, 100.00, 100.00, 16.67, 0.00, 75.00, 66.67, 0.00, 0.00, 0.00, 33.33, 50.00, 60.00, 100.00, 75.00, 100.00, 100.00, 60.00, 100.00, 100.00, 100.00, 0.00, 0.00, 0.00]
    	    },{
    	    	name:'班均分率',
    	    	type:'line',
    	    	symbol:'emptyCircle',
    	    	itemStyle:{
    	    		normal:{
    	    			color:'#FF9132'
    	    		}
    	    	},
    	    	data:[66.35, 74.77, 95.28, 94.60, 2.70, 20.25, 67.90, 67.57, 29.73, 29.73, 35.13, 47.75, 59.02, 46.48, 91.90, 66.22, 81.07, 86.50, 78.92, 70.25, 91.90, 91.90, 59.45, 64.87, 24.33]
    	    },{
    	    	name:'校均分率',
    	    	type:'line',
    	    	symbol:'emptyCircle',
    	    	itemStyle:{
    	    		normal:{
    	    			color:'#C3E0FE'
    	    		}
    	    	},
    	    	data:[67.45, 72.28, 93.25, 91.65, 3.18, 18.90, 70.64, 73.43, 22.97, 41.17, 48.80, 46.02, 59.97, 45.78, 93.87, 64.78, 89.97, 82.07, 79.28, 73.90, 93.65, 87.80, 57.90, 60.30, 28.00]
    	    },{
    	    	name:'区均分率',
    	    	type:'line',
    	    	symbol:'emptyCircle',
    	    	itemStyle:{
    	    		normal:{
    	    			color:'#B4E04F'
    	    		}
    	    	},
    	    	data:[67.45, 72.28, 93.25, 91.65, 3.18, 18.90, 70.64, 73.43, 22.97, 41.17, 48.80, 46.02, 59.97, 45.78, 93.87, 64.78, 89.97, 82.07, 79.28, 73.90, 93.65, 87.80, 57.90, 60.30, 28.00]
    	    }
    	    ]
    	};
       
	    var myChart = echarts.init(byId(divContent));
	    myChart.setOption(option);
}