
var byId = function(id) {
	return document.getElementById(id);
};
			
		var getOptionSchool = function(chartType) {
			var chartOption;
			if(chartType=='bar'){//学科均衡性--柱状图
				chartOption={
					legend: {
						data: ['']
					},
					grid: {
						x: 35,
						x2: 30,
						y: 30,
						y2: 25
					},
					tooltip: {
				    },
					toolbox: {
						show: false,
						feature: {
							mark: {
								show: true
							},
							dataView: {
								show: true,
								readOnly: false
							},
							magicType: {
								show: true,
								type: ['line', 'bar']
							},
							restore: {
								show: true
							},
							saveAsImage: {
								show: true
							}
						}
					},
					calculable: false,
					xAxis: [{
						type: 'category',
						name:'科目',
						data: [
						],
						axisLabel:{  
                            show:true,  
                            align:'center',
                            interval: 0,
                            rotate:0,
                            
                        },
						/*axisLabel:{ //调整x轴的lable  
				            textStyle:{
				                fontSize:8 // 让字体变大
				            }
				        }*/
					}],
					yAxis: [{
						type: 'value',
						name:'百分比',
						splitArea: {
							show: true
						},
						scale:true
					}],
					series: [{
						name: '',
						type: 'bar',
						data: [
						//2.0, 4.9, 7.0, 23.2, 25.6, 76.7, 135.6, 162.2, 32.6
						]
					}]
					};
				return chartOption;
				}
			if(chartType=='bar1'){//总分分段统计-柱状图
				
				chartOption={
					legend: {
						data: ['']
					},
					color:[''],
					grid: {
						x: 30,
						x2: 38,
						y: 40,
						y2: 75
					},
					tooltip: {
				    },
					toolbox: {
						show: false,
						feature: {
							mark: {
								show: true
							},
							dataView: {
								show: true,
								readOnly: false
							},
							magicType: {
								show: true,
								type: ['line', 'bar']
							},
							restore: {
								show: true
							},
							saveAsImage: {
								show: true
							}
						}
					},
					calculable: false,
					xAxis: [{
						type: 'category',
						name:'(分数)',
						data: [
						],
						nameTextStyle: {/*横坐标名称样式*/
							color:'#48C6FF'
						},
						axisLine: {/*横坐标轴线*/
							show: true,
							lineStyle:{
								color:'#DCDCDC',
								width:'0.5'
							}
						},/*隐藏横坐标的线*/
						axisTick: {/*横坐标刻度线*/
							show: false,
						},
						splitArea : {// 图表背景网格的颜色
                            show : true,   
                            areaStyle : {
                               color: ["#F0F5F9",'#FAFAFA']  
                            }
                        },
                        splitLine : {// 图表背景网格线的颜色
                            show : false,
                        },
						axisLabel:{  /*横坐标标签颜色*/
                            show:true,  
                            interval: 0,
                            color:'#ff0000',
                            rotate:90,
                            align:'left',
                           /* margin:[0 ,0,0, 0]*/
                            
                        },
					}],
					yAxis: [{
						type: 'value',
						axisLine: {show: false},/*隐藏横坐标的线*/
						name:'(人数)',
						nameTextStyle: {/*纵坐标名称样式*/
							color:'#48C6FF'
						},
						axisLine: {/*纵坐标坐标颜色*/
							show: true,
							lineStyle:{
								color:'#DCDCDC',
								width:'0.5'
							}
						},
                        splitLine : {// 图表背景网格线的颜色
                            show : true,
                            lineStyle:{
								color:'#DCDCDC',
								width:'0.5'
							}
                        },
						scale:true
					}],
					series: [{
						name: '',
						type: 'bar',
						data: [
						//2.0, 4.9, 7.0, 23.2, 25.6, 76.7, 135.6, 162.2, 32.6
						],
						markPoint: {
			                data: [
			                   {},
			                ],
			                itemStyle:{
			                    normal:{
			                        color:'#FF9132',/*气泡颜色*/
			                        
			                    }
			                },
			          	},
				          	
						/*itemStyle: {
			                normal: {
			                    color: function(params) {
			                        return color(params)
			                    }
			                }
			            }*/
					}]
					};
				return chartOption;
			}
			if(chartType=='bar2'){//进退步检测-柱状图
				chartOption={
					    tooltip : {
					        //trigger: 'axis'
					    },
					    color:['#FF9132','#B4E04F','#C3E0FE','#B6A2DE'],/*图例颜色*/
					    legend: {
					    	/*itemHeight:200,*/
					    	orient:'horizontal',
					        data:[]
					    },
					    grid: {
							x: 20,/*左上角*/
							x2: 38,/*右下角*/
							y: 50,
							y2: 60
						},
					    toolbox: {
							show: false,
							feature: {
								mark: {
									show: true
								},
								dataView: {
									show: true,
									readOnly: false
								},
								magicType: {
									show: true,
									type: ['line', 'bar']
								},
								restore: {
									show: true
								},
								saveAsImage: {
									show: true
								}
							}
						},
					    calculable : false,
					    xAxis : [
					        {
					        	
					        	name:'科目',
					            type : 'category',
					            data : [],
		                        nameTextStyle: {/*横坐标名称样式*/
									color:'#48C6FF'
								},
								axisLine: {/*横坐标轴线*/
									show: true,
									lineStyle:{
										color:'#DCDCDC',
										width:'0.5'
									}
								},/*隐藏横坐标的线*/
								axisTick: {/*横坐标刻度线*/
									show: false,
								},
								splitArea : {// 图表背景网格的颜色
		                            show : true,   
		                            areaStyle : {
		                               color: ["#F0F5F9",'#FAFAFA']  
		                            }
		                        },
		                        splitLine : {// 图表背景网格线的颜色
		                            show : false,
		                        },
								axisLabel:{  /*横坐标标签颜色*/
		                            show:true,  
		                            interval: 0,
		                            color:'#ff0000',
		                            rotate:90,
		                            align:'left',
		                        },
					        }
					    ],
					    yAxis : [
					        {
					        	name:'标准分',
					            type : 'value',
					            nameTextStyle: {/*纵坐标名称样式*/
									color:'#48C6FF'
								},
								axisLine: {/*纵坐标坐标颜色*/
									show: true,
									lineStyle:{
										color:'#DCDCDC',
										width:'0.5'
									}
								},
		                        splitLine : {// 图表背景网格线的颜色
		                            show : true,
		                            lineStyle:{
										color:'#DCDCDC',
										width:'0.5'
									}
		                        },
					            scale:true/*纵坐标自适应*/
					        }
					    ],
					    series : [
					    ]
					};
				return chartOption;
			}
			if(chartType=='pie'){//我的分数--饼状图
					chartOption={
						title: {
					        show:true,//显示策略，默认值true,可选为：true（显示） | false（隐藏）
				            text: '',//主标题文本，'\n'指定换行
				            x:'center',//水平安放位置，默认为'left'，可选为：'center' | 'left' | 'right' | {number}（x坐标，单位px）
				            y: 'center',//垂直安放位置，默认为top，可选为：'top' | 'bottom' | 'center' | {number}（y坐标，单位px）
				            backgroundColor: 'rgba(0,0,0,0)',//标题背景颜色，默认'rgba(0,0,0,0)'透明
				            borderColor: '#ccc',//标题边框颜色,默认'#ccc'
				            borderWidth: 0,//标题边框线宽，单位px，默认为0（无边框）
				            padding: 5,//标题内边距，单位px，默认各方向内边距为5，接受数组分别设定上右下左边距
				            textStyle : {
					            color : '#ffffff',
					            fontSize : 14,
					        },
					    },
					    tooltip : {
			              trigger: 'item',
					    },
					    color:['rgba(255,255,255,0.8)','rgba(141,233,246,1)'],/*图例颜色*/
					   	/*calculable : true,*//*是否现在边框*/
					    series: [
					        {
					            name:'访问来源',
					            type:'pie',
					            radius: ['80%', '85%'],
					            avoidLabelOverlap: true,
					            itemStyle: {/*引导线*/
					                normal : {
					                    label : {
					                        show: true,
						                    position: 'center',
						                    textStyle : {
						                            fontSize : '70',
						                            color:'#ffffff'
						                       },
						                    formatter:function(params) {
			                        			return total;
						                    },
						                },
					                    labelLine : {
					                        show : false,
					                    }
					                },
								  },
					            data:[
					                {value:''},
					                {value:''},
					            ]
					        }
					    ]
					};
					return chartOption;
				}
			if(chartType=='radar'){//学科均衡性--雷达图
					chartOption={
					    tooltip : {
			              trigger: 'axis',
					    },
					    /*color:['rgba(255, 145, 50, 1)','rgba(180, 244, 79, 1)'],*//*图例颜色*/
					   color:['#F68C32','#AEDE54'],/*图例颜色*/
					    legend: {
					         orient : 'vertical',
					         x : 'left',
					         y : 'center',
					         data:[]
					    },
					    toolbox: {
					        show : false,
					        feature : {
					            mark : {show: false},
					            dataView : {show: false, readOnly: false},
					            restore : {show: false},
					            saveAsImage : {show: false}
					        }
					    },
					    polar : [
					       {
					       	name:{
	                           textStyle: {
	                             color:'#000000' // 工艺等文字颜色
	                           }
	                         },
	                         splitArea : {
	                            show : true,   
	                            areaStyle : {
	                                color: ["#F0F5F9","#FAFAFA"]  // 图表背景网格的颜色
	                            }
	                        },
	                         center:["70%","55%"],
					           indicator : [
					               
					              
					            ],
					       },
					       	
					       
					    ],
					    calculable : false,
					    series : [
					        {
					            name: '',
					            type: 'radar',
					            /*symbol: "none", */// 去掉图表中各个图区域的边框线拐点
					            data : [
					                {
					                    value : [],
					                    name : '',
					                    itemStyle: {
		                                    normal: {
		                                        areaStyle: {
		                                            type: 'default',
		                                            opacity: 0.1, // 图表中各个图区域的透明度
		                                            color: "rgba(255, 145, 50, 0.3)" // 图表中各个图区域的颜色
		                                        }
		                                    }
		                                },
					                },
					                 {
					                    value : [],
					                    name : '',
					                    itemStyle: {
		                                    normal: {
		                                        areaStyle: {
		                                            type: 'default',
		                                            opacity: 0.1, // 图表中各个图区域的透明度
		                                            color: "rgba(180, 244, 79, 0.3)" // 图表中各个图区域的颜色
		                                        }
		                                    }
		                                },
					                }
					            ]
					        }
					    ]
					} 
					return chartOption;
				}
		
			if(chartType=='line'){//成绩对比--折线图
					chartOption={
					legend: {
						data: [],
						/*bottom:200*//*图例和底部的距离 */
						/*padding:[10,0 ,100,0]*/
					},
					color:['#FF9132','#C3E0FE','#B4E04F'],/*图例颜色*/
					grid: {
						x: 30,
						x2: 38,
						y: 40,
						y2: 25
					},
					tooltip: {
				        trigger: 'axis',
				    },
					toolbox: {
						show: false,
						feature: {
							mark: {
								show: true
							},
							dataView: {
								show: true,
								readOnly: false
							},
							magicType: {
								show: true,
								type: ['line', 'bar']
							},
							restore: {
								show: true
							},
							saveAsImage: {
								show: true
							}
						}
					},
					calculable: false,
					xAxis: [{
						type: 'category',
						name:'(科目)',
						data: [
						],
						nameTextStyle: {/*横坐标名称样式*/
							color:'#48C6FF'
						},
						axisLine: {/*横坐标轴线*/
							show: true,
							lineStyle:{
								color:'#DCDCDC',
								width:'0.5'
							}
						},/*隐藏横坐标的线*/
						axisTick: {/*横坐标刻度线*/
							show: false,
						},
						splitArea : {// 图表背景网格的颜色
                            show : true,   
                            areaStyle : {
                               color: ['#FAFAFA',"#F0F5F9"]  
                            }
                        },
                        splitLine : {// 图表背景网格线的颜色
                            show : false,
                        },
						axisLabel:{  /*横坐标标签颜色*/
                            show:true,  
                            interval: 0,
                            color:'#ff0000'
                        },
                        boundaryGap:false,/*汉字和坐标轴对齐*/
					}],
					yAxis: [{
						type: 'value',
						name:'(分数)',
						nameTextStyle: {/*纵坐标名称样式*/
							color:'#48C6FF'
						},
						axisLine: {/*纵坐标坐标颜色*/
							show: true,
							lineStyle:{
								color:'#DCDCDC',
								width:'0.5'
							}
						},
                        splitLine : {// 图表背景网格线的颜色
                            show : true,
                            lineStyle:{
								color:'#DCDCDC',
								width:'0.5'
							}
                        },
						scale:true/*纵坐标自适应*/
					}],
					series: [{
						name: '',
						type: 'line',
						data: [
						],
						smooth:true,/*线圆滑*/
						step:'middle',/*转折点*/
						symbol: 'emptyCircle',/*图例样式*/
				       /* itemStyle : { normal: {label : {show: true}}},*/
						markPoint: {
			                data: [
			                  /* {xAxis: 0, yAxis: 2},*/
			                ]
			           }
					},{
						name: '',
						type: 'line',
						 symbol: 'emptyCircle',
						data: [
						],
						smooth:true,
					},{
						name: '',
						type: 'line',
						 symbol: 'emptyCircle',
						data: [
						],
						smooth:true,/*折线图圆滑*/
					}],
				};
				return chartOption;
				}
			
			if(chartType=='line1'){//总分分段统计--折线图
					chartOption={
					legend: {
						data: [],
					},
					grid: {
						x: 35,
						x2: 30,
						y: 30,
						y2: 75
					},
					tooltip : {         // Option config. Can be overwrited by series or data
			              trigger: 'item',
			              showDelay: 0,
			              hideDelay: 50,
			              transitionDuration:0,
			              borderRadius : 8,
			              borderWidth: 2,
			              padding: 10,    
			              position : function(p) {
			                  // 位置回调
			                  return [p[0] + 10, p[1] - 10];
			              },
				        formatter:function (params,ticket,callback) {
				        	if(params.name=="您的位置"){
				        		return '您的位置';
				        	}else{
				        		var res = "";
				        		res="分数段："+params.name+"<br/>"
				        		res+="累计人数："+params.value;
				        		return res;
				        	}
				        }
		          },
					toolbox: {
						show: false,
						feature: {
							mark: {
								show: true
							},
							dataView: {
								show: true,
								readOnly: false
							},
							magicType: {
								show: true,
								type: ['line', 'bar']
							},
							restore: {
								show: true
							},
							saveAsImage: {
								show: true
							}
						}
					},
					calculable: false,
					xAxis: [{
						type: 'category',
						name:'分数段',
						data: [
						],
						axisLabel:{  
                            show:true,  
                            interval: 0,
                            rotate:90,
                        },
                        boundaryGap:false
                        
					}],
					yAxis: [{
						type: 'value',
						name:'累计人数',
						splitArea: {
							show: true
						},
						scale:true
					}],
					series: [{
						name: '',
						type: 'line',
						data: [
						],
						markPoint: {
			                data: [
			                   {},
			                ]
			           }
					}],
				};
				return chartOption;
			}

			if(chartType=='line2'){//进退步检测--折线图
					chartOption={
					legend: {
						x:'right',
						y:'center',
						data: [],
						orient:'vertical'
					},
					grid: {
						x: 35,
						x2: 80,
						y: 30,
						y2: 75
					},
					tooltip : {         // Option config. Can be overwrited by series or data
			              trigger: 'item',
			              showDelay: 0,
			              hideDelay: 50,
			              transitionDuration:0,
			              borderRadius : 8,
			              borderWidth: 2,
			              padding: 10,    
			              position : function(p) {
			                  // 位置回调
			                  return [p[0] + 10, p[1] - 10];
			              },
				        formatter:function (params,ticket,callback) {
				        		var res = "";
				        		res=params.name+"<br/>";
				        		res+="科目："+params.series.name+"<br/>";
				        		res+="分数："+params.value;
				        		return res;
				        }
		          },
					toolbox: {
						show: false,
						feature: {
							mark: {
								show: true
							},
							dataView: {
								show: true,
								readOnly: false
							},
							magicType: {
								show: true,
								type: ['line', 'bar']
							},
							restore: {
								show: true
							},
							saveAsImage: {
								show: true
							}
						}
					},
					calculable: false,
					xAxis: [{
						type: 'category',
						data: [
						],
						axisLabel:{  
                            show:true,  
                            align:'center',
                            interval: 0,
                            rotate:10,
                            formatter:function(params){
				            //xHuanHang(params);
				            var newParamsName = "";// 最终拼接成的字符串
						    var paramsNameNumber = params.length;// 实际标签的个数
						    var provideNumber = 4;// 每行能显示的字的个数
						    var rowNumber = Math.ceil(paramsNameNumber / provideNumber);// 换行的话，需要显示几行，向上取整
						    /**
						     * 判断标签的个数是否大于规定的个数， 如果大于，则进行换行处理 如果不大于，即等于或小于，就返回原标签
						     */
						    // 条件等同于rowNumber>1
						    if (paramsNameNumber > provideNumber) {
						        /** 循环每一行,p表示行 */
						        for (var p = 0; p < rowNumber; p++) {
						            var tempStr = "";// 表示每一次截取的字符串
						            var start = p * provideNumber;// 开始截取的位置
						            var end = start + provideNumber;// 结束截取的位置
						            // 此处特殊处理最后一行的索引值
						            if (p == rowNumber - 1) {
						                // 最后一次不换行
						                tempStr = params.substring(start, paramsNameNumber);
						            } else {
						                // 每一次拼接字符串并换行
						                tempStr = params.substring(start, end) + "\n";
						            }
						            newParamsName += tempStr;// 最终拼成的字符串
						        }
		
						    } else {
						        // 将旧标签的值赋给新标签
						        newParamsName = params;
						    }
						    //将最终的字符串返回
						    return newParamsName;
				            }
                        },
                       /* boundaryGap:false*/
					}],
					yAxis: [{
						type: 'value',
						scale:true
					}],
					series: [{
						name: '',
						type: 'line',
						data: []
						},
						{
						name: '',
						type: 'line',
						data: []
						},
						{
						name: '',
						type: 'line',
						data: []
						},
						{
						name: '',
						type: 'line',
						data: []
						},
						{
						name: '',
						type: 'line',
						data: []
						},
						{
						name: '',
						type: 'line',
						data: []
						},
						{
						name: '',
						type: 'line',
						data: []
						},
						{
						name: '',
						type: 'line',
						data: []
						},
						{
						name: '',
						type: 'line',
						data: []
						},
						{
						name: '',
						type: 'line',
						data: []
						},
						{
						name: '',
						type: 'line',
						data: []
						},
						{
						name: '',
						type: 'line',
						data: []
						},
						{
						name: '',
						type: 'line',
						data: []
						},
						{
						name: '',
						type: 'line',
						data: []
						},
						{
						name: '',
						type: 'line',
						data: []
						},
						{
						name: '',
						type: 'line',
						data: []
						},
						{
						name: '',
						type: 'line',
						data: []
						},
						{
						name: '',
						type: 'line',
						data: []
						},
					],
				};
				return chartOption;
			}
		}
/*var colorList = ['#C1232B','#C1232B','#C1232B','#C1232B','#27727B','#C1232B','#C1232B','#C1232B','#C1232B','#60C0DD',
					'#C1232B','#C1232B','#F4E001','#C1232B','#26C0C0'
					];*/

