//分段统计图
function getSubsectionData(param){
	var schoolNum = $("#schoolNum").val();
	var classNum = $("#classNum").val();
	var isMoreSchool = $("#isMoreSchool").val();
	var baseurl = $.getUrl()+"/appIndex!getSubsectionData.action?";
	var paramC = param+"&schoolNum="+schoolNum+"&classNum="+classNum;
	//分段统计图-班
	getLineChart(baseurl+encodeURI(paramC),byId("item0CChart"),"#B4E04F",true,false,"1");
	//分段统计图-校
	var paramG = param+"&schoolNum="+schoolNum+"&classNum=-1";
	getLineChart(baseurl+encodeURI(paramG),byId("item0GChart"),"#C3E0FE",true,false,"2");
	if(isMoreSchool == "T"){
		//分段统计图-区
		var paramA = param+"&schoolNum=-1&classNum=-1";
		getLineChart(baseurl+encodeURI(paramA),byId("item0AChart"),"#CCCCFF",true,false,"3");
	}else{
		$("#qChart").hide();
	}
}

//小题得分率
function getQueScoreData(paramCommon){
	//小题得分率
	var baseurl = $.getUrl()+"/appIndex!getQueScoreData.action?"+encodeURI(paramCommon);
	getMixChart(baseurl,"item1Chart","",true,true,"item1");
}

//知识点得分率
function getKnoScoreData(paramCommon){
	//知识点得分率
	var baseurl = $.getUrl()+"/appIndex!getKnoScoreData.action?"+encodeURI(paramCommon);
	getMixChart(baseurl,"item2Chart","",true,true,"item2");
}

//能力点得分率
function getAbiScoreData(paramCommon){
	//能力点得分率
	var baseurl = $.getUrl()+"/appIndex!getAbiScoreData.action?"+encodeURI(paramCommon);
	getMixChart(baseurl,"item3Chart","",true,true,"item3");
}

//题型得分率
function getQtScoreData(paramCommon){
	//题型得分率
	var baseurl = $.getUrl()+"/appIndex!getQtScoreData.action?"+encodeURI(paramCommon);
	getMixChart(baseurl,"item4Chart","",true,true,"item4");
}

//基础成绩
function getBaseData(){
	var examNum = $("#examNum").val();
	var subjectNum = $("#subjectNum").val();
	var isMoreSchool = $("#isMoreSchool").val();
	
	var url = $.getUrl()+"/appIndex!getBaseData.action";
	
	$.newAjax( {
		 url : url,//目标地址
		 data : {
			 examNum:examNum,
			 subjectNum:subjectNum,
			 isMoreSchool:isMoreSchool
		 },
		 success : function(data) {
		 	$.each(data,function(i,obj){
		 		$("#schoolNum").val(obj.schoolNum);
		 		$("#gradeNum").val(obj.gradeNum);
		 		$("#classNum").val(obj.classNum);
		 		$("#exampaperNum").val(obj.examPaperNum);
		 		$("#totalScore").val(obj.totalScore);
		 		$("#studentType").val(obj.studentType);
		 		base1Str = "总分："+changeDecimal_f(obj.totalScore,1)+"/"+changeDecimal_f(obj.fullScore,1);
		 		$("#base1").html(base1Str);
		 		$("#base2_1").html(obj.classRanking);
		 		$("#base2_2").html(obj.ext1);
		 		$("#base3_1").html(obj.gradeRanking);
		 		$("#base3_2").html(obj.ext2);
		 		if($("#isMoreSchool").val() == "T" ){
		 			$("#base4_1").html(obj.areaRanking);
		 			$("#base4_2").html(obj.ext3);
		 		}else{
		 			$("#qRank").hide();
		 			$("#bRank").removeClass("mui-col-xs-3").addClass("mui-col-xs-6");
		 			$("#xRank").removeClass("mui-col-xs-4").addClass("mui-col-xs-6");
		 		}
		 		base5_1Str = changeDecimal_f(obj.oqts,1);
		 		base5_2Str = changeDecimal_f(obj.sqts,1);
		 		$("#base5_1").html(base5_1Str);
		 		$("#base5_2").html(base5_2Str);
		 	});
		 },
		 error : function(data) {
		 	return false;
		 }
	});
}

//跳转到查看试卷页面
$("#toMyPaper").on("tap", function() {
	
	mui.openWindow({
		url: '../ownPapers/ownPapers.html',
		id: 'ownPapers.html',
		extras: {
			exampaperNum:$("#exampaperNum").val(),
			examName:$("#examName").val(),
			subjectName:$("#base0").html()
		}
	});
	
//	var extras = {
//		exampaperNum:$("#exampaperNum").val()
//	};
//	extras.acceleration = "capture";
//	var webview = plus.webview.create("../ownPapers/ownPapers.html","viewgroup2","",extras);
//	webview.addEventListener("titleUpdate",function () {
//		setTimeout(function () {
//			webview.show('slide-in-right',300);
//		},100);
//	});
});

//刷新数据
function refreshData(index){
	if(index === 0){
		//分段统计图
		getSubsectionData();
	}else if(index === 1){
		//小题得分率
		getQueScoreData();
	}else if(index === 2){
		//知识点得分率
		getKnoScoreData();
	}else if(index === 3){
		//能力点得分率
		getAbiScoreData();
	}else if(index === 4){
		//题型
		getQtScoreData();
	}
}
